SymbologyConfig

com.hsm.barcode

## Class SymbologyConfig

- java.lang.Object
- - com.hsm.barcode.SymbologyConfig

-     public class SymbologyConfig
      extends java.lang.Object

  Symbology configuration for setting symbology settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `Flags` Logical OR of valid flags for the given symbology
    `int` | `Mask` Logical OR of valid masks: SYM_MASK_FLAGS, SYM_MASK_MIN_LEN, SYM_MASK_MAX_LEN
    `int` | `MaxLength` Maximum length for valid barcode string for this symbology
    `int` | `MinLength` Minimum length for valid barcode string for this symbology
    `int` | `symID` Symbology ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymbologyConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setFlags(int flags)`
    `void` | `setMaxLength(int maxLength)`
    `void` | `setMinLength(int minLength)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### symID

          public int symID

      Symbology ID

    - #### Mask

          public int Mask

      Logical OR of valid masks: SYM_MASK_FLAGS, SYM_MASK_MIN_LEN, SYM_MASK_MAX_LEN

    - #### Flags

          public int Flags

      Logical OR of valid flags for the given symbology

    - #### MinLength

          public int MinLength

      Minimum length for valid barcode string for this symbology

    - #### MaxLength

          public int MaxLength

      Maximum length for valid barcode string for this symbology

  - ### Constructor Detail

    - #### SymbologyConfig

          public SymbologyConfig()

  - ### Method Detail

    - #### setFlags

          public void setFlags(int flags)

    - #### setMinLength

          public void setMinLength(int minLength)

    - #### setMaxLength

          public void setMaxLength(int maxLength)